View Issue Details

IDProjectCategoryView StatusLast Update
0000123TeraCopyEnginepublic2017-05-21 10:29
ReporterRascomIT 
PrioritynormalSeveritycrashReproducibilityrandom
Status resolvedResolutionfixed 
Product Version3.12 
Target Version3.12Fixed in Version3.12 
Summary0000123: SQL Engine error
DescriptionWhen copying files via drag and drop, intermittently Teracopy will crash with a SQL Engine error and fail to copy some of the files but then it will recover itself and copy others as normal.
TagsNo tags attached.
OSWindows 10
OS Version64 bit

Relationships

Activities

peluche-nerv

2017-03-31 05:36

reporter   ~0000084

The same on W7 x86, 2/5 fail percentage some times, even using Ctrl+***.

peluche-nerv

2017-03-31 05:45

reporter   ~0000085

Here's the dump

bugreport.txt (20,518 bytes)
date/time          : 2017-03-31, 06:41:58, 383ms
computer name      : PELUCHE-NERV-PC
user name          : Peluche-Nerv <admin>
registered owner   : Peluche-Nerv
operating system   : Windows 7 Service Pack 1 build 7601
system language    : Spanish
system up time     : 1 day 5 hours
program up time    : 623 milliseconds
processors         : 2x AMD Athlon(tm) 64 X2 Dual Core Processor 5400+
physical memory    : 1943/3071 MB (free/total)
free disk space    : (C:) 72,37 GB
display mode       : 1680x1050, 32 bit
process id         : $15f4
allocated memory   : 77,35 MB
largest free block : 1,32 GB
command line       : "C:\Program Files\TeraCopy\teracopy.exe" Copy *"C:\Users\Peluche-Nerv\AppData\Roaming\TeraCopy\FileList.dat" "E:\[D] Backup\Cosas de Escritorio\Descargas\Firefox"
executable         : teracopy.exe
exec. date/time    : 2017-03-16 16:45
version            : 3.0.8.0
compiled with      : Delphi 10.1 Berlin
madExcept version  : 4.0.16
contact name       : Peluche-Nerv
contact email      : peluche-nerv@hotmail.com
callstack crc      : $ca9304f9, $e92d0abe, $c7db688d
exception number   : 1
exception class    : ESQLite3
exception message  : SQLite3 Error 5 - database is locked.

main thread ($e24):
005910d6 +052 teracopy.exe DISQLite3Api              sqlite3_raise_exception
00591061 +019 teracopy.exe DISQLite3Api              sqlite3_check
00590f08 +048 teracopy.exe DISQLite3Api              sqlite3_exec_fast
00654a20 +094 teracopy.exe FileView         975   +8 TFileView.loadItems
00654972 +02a teracopy.exe FileView         952   +4 TFileView.reloadItems
00653878 +018 teracopy.exe FileView         552   +4 TFileView.init
0067965f +027 teracopy.exe FileList        8681   +4 TFileList.onTabClick
00663151 +13d teracopy.exe FileList        1362  +32 TFileList.startOperation
00662c0b +7ef teracopy.exe FileList        1324  +72 TFileList.ParseCommandLine
00682ae7 +19b teracopy.exe Main            1089  +52 Init
0068d798 +11c teracopy.exe Main           11058   +6 WindowProc
776e6bab +02b ntdll.dll                              KiUserCallbackDispatcher
775dec72 +02e user32.dll                             CreateWindowExW
00415873 +03f teracopy.exe Winapi.Windows            CreateWindowExW
0068e263 +4ff teracopy.exe Main           11799 +255 WinMain
771fef1a +010 kernel32.dll                           BaseThreadInitThunk

thread $1630:
776e65fa +0a ntdll.dll     NtWaitForWorkViaWorkerFactory
771fef1a +10 kernel32.dll  BaseThreadInitThunk

thread $7e4:
776e65fa +0a ntdll.dll     NtWaitForWorkViaWorkerFactory
771fef1a +10 kernel32.dll  BaseThreadInitThunk

thread $14a8:
776e65fa +0a ntdll.dll     NtWaitForWorkViaWorkerFactory
771fef1a +10 kernel32.dll  BaseThreadInitThunk

thread $3b8:
776e65ca +0a ntdll.dll     NtWaitForMultipleObjects
771fef1a +10 kernel32.dll  BaseThreadInitThunk

thread $1600 (TThreadPool.TQueueWorkerThread):
776e65ea +00a ntdll.dll                              NtWaitForSingleObject
75881796 +066 KERNELBASE.dll                         WaitForSingleObjectEx
771fc4ce +03e kernel32.dll                           WaitForSingleObjectEx
771fc47d +00d kernel32.dll                           WaitForSingleObject
00455986 +002 teracopy.exe   System.SysUtils         WaitForSyncWaitObj
00455acf +01f teracopy.exe   System.SysUtils         WaitOrSignalObj
00409701 +065 teracopy.exe   System           424 +0 TMonitor.Wait
00409767 +017 teracopy.exe   System           424 +0 TMonitor.Wait
005615ed +1d9 teracopy.exe   System.Threading        TThreadPool.TQueueWorkerThread.Execute
004a44ef +02b teracopy.exe   madExcept               HookedTThreadExecute
00529751 +049 teracopy.exe   System.Classes          ThreadProc
0040a4e0 +028 teracopy.exe   System           424 +0 ThreadWrapper
004a43d5 +00d teracopy.exe   madExcept               CallThreadProcSafe
004a443a +032 teracopy.exe   madExcept               ThreadExceptFrame
771fef1a +010 kernel32.dll                           BaseThreadInitThunk
>> created by main thread ($e24) at:
005611d7 +01f teracopy.exe   System.Threading        TThreadPool.TBaseWorkerThread.Create

thread $10ac (TThreadPool.TQueueWorkerThread):
775e6697 +00a user32.dll                              WaitMessage
77603b41 +031 user32.dll                              DialogBoxIndirectParamAorW
775f3ba5 +03a user32.dll                              DialogBoxParamW
00670fba +0da teracopy.exe FileList         5875  +30 TFileList.createTarget
0067193b +157 teracopy.exe FileList         6130  +37 TFileList.FileCopy
0066eedc +578 teracopy.exe FileList         5135 +154 TFileList.FileCopyLoop
00675025 +00d teracopy.exe FileList         7306   +0 TFileList.startCopy$169$ActRec.$0$Body
0055ef75 +05d teracopy.exe System.Threading           TTask.Execute
0055fc31 +029 teracopy.exe System.Threading           TTask.InternalExecute
0055fd36 +062 teracopy.exe System.Threading           TTask.InternalWork
0055f385 +01d teracopy.exe System.Threading           TTask.ExecuteWork
00561b91 +02d teracopy.exe System.Threading           TThreadPool.TQueueWorkerThread.ExecuteWorkItem
005617e7 +3d3 teracopy.exe System.Threading           TThreadPool.TQueueWorkerThread.Execute
004a44ef +02b teracopy.exe madExcept                  HookedTThreadExecute
00529751 +049 teracopy.exe System.Classes             ThreadProc
0040a4e0 +028 teracopy.exe System            424   +0 ThreadWrapper
004a43d5 +00d teracopy.exe madExcept                  CallThreadProcSafe
004a443a +032 teracopy.exe madExcept                  ThreadExceptFrame
771fef1a +010 kernel32.dll                            BaseThreadInitThunk
>> created by main thread ($e24) at:
005611d7 +01f teracopy.exe System.Threading           TThreadPool.TBaseWorkerThread.Create

thread $c4c: <priority:15>
771fd872 +ad kernel32.dll                    RegCloseKey
00409701 +65 teracopy.exe System      424 +0 TMonitor.Wait
00409790 +20 teracopy.exe System      424 +0 TMonitor.Wait
00643d5a +5a teracopy.exe StashWorker  61 +0 {System.Generics.Collections}TThreadedQueue<Stash.TStash>.PopItem
00643e5d +15 teracopy.exe StashWorker  61 +0 {System.Generics.Collections}TThreadedQueue<Stash.TStash>.PopItem
00641fa5 +59 teracopy.exe StashWorker  75 +8 TStashWorker.Execute
0040a4e0 +28 teracopy.exe System      424 +0 ThreadWrapper
004a43d5 +0d teracopy.exe madExcept          CallThreadProcSafe
004a443a +32 teracopy.exe madExcept          ThreadExceptFrame
771fef1a +10 kernel32.dll                    BaseThreadInitThunk
>> created by main thread ($e24) at:
6906bd87 +00 wfx4.dll

modules:
00400000 teracopy.exe      3.0.8.0            C:\Program Files\TeraCopy
10000000 idmmkb.dll        6.19.9.1           C:\Program Files\Internet Download Manager
5c4e0000 d2d1.dll          6.2.9200.16765     C:\Windows\system32
5d870000 DWRITE.DLL        6.2.9200.22084     C:\Windows\system32
65bd0000 atidxx32.dll      8.17.10.625        C:\Windows\system32
66570000 aticfx32.dll      8.17.10.1404       C:\Windows\system32
66780000 atiuxpag.dll      8.14.1.6463        C:\Windows\system32
66920000 explorerframe.dll 6.1.7601.23537     C:\Windows\system32
66de0000 d3d11.dll         6.2.9200.16570     C:\Windows\system32
66f60000 dxgi.dll          6.2.9200.16492     C:\Windows\system32
69000000 wfx4.dll          5.1.0.4            C:\Program Files\Stardock\Object Desktop\WindowFX
694c0000 windowscodecs.dll 6.2.9200.21830     C:\Windows\system32
69c60000 DUser.dll         6.1.7600.16385     C:\Windows\system32
6f540000 DUI70.dll         6.1.7600.16385     C:\Windows\system32
6f600000 uxtheme.dll       6.1.7600.16385     C:\Windows\system32
70da0000 dwmapi.dll        6.1.7601.18917     C:\Windows\system32
72c90000 powrprof.dll      6.1.7600.16385     C:\Windows\system32
74510000 wkscli.dll        6.1.7601.17514     C:\Windows\system32
74550000 netutils.dll      6.1.7601.17514     C:\Windows\system32
74560000 netapi32.dll      6.1.7601.17887     C:\Windows\system32
746a0000 propsys.dll       7.0.7601.17514     C:\Windows\system32
747a0000 ntmarta.dll       6.1.7600.16385     C:\Windows\system32
747d0000 FaultRep.dll      6.1.7601.17514     C:\Windows\system32
74850000 winmm.dll         6.1.7601.17514     C:\Windows\system32
74920000 COMCTL32.dll      6.10.7601.18837    C:\Windows\WinSxS\x86_microsoft.windows.common-controls_6595b64144ccf1df_6.0.7601.18837_none_41e855142bd5705d
74b10000 wsock32.dll       6.1.7600.16385     C:\Windows\system32
74b40000 version.dll       6.1.7600.16385     C:\Windows\system32
74d40000 rsaenh.dll        6.1.7600.16385     C:\Windows\system32
74fb0000 CRYPTSP.dll       6.1.7601.23471     C:\Windows\system32
75260000 srvcli.dll        6.1.7601.17514     C:\Windows\system32
75340000 SspiCli.dll       6.1.7601.23677     C:\Windows\system32
75480000 apphelp.dll       6.1.7601.19050     C:\Windows\system32
754d0000 CRYPTBASE.dll     6.1.7601.23677     C:\Windows\system32
755b0000 MSASN1.dll        6.1.7601.17514     C:\Windows\system32
755c0000 profapi.dll       6.1.7600.16385     C:\Windows\system32
755d0000 DEVOBJ.dll        6.1.7600.16385     C:\Windows\system32
755f0000 USERENV.dll       6.1.7601.17514     C:\Windows\system32
756b0000 WINTRUST.dll      6.1.7601.23566     C:\Windows\system32
756f0000 CRYPT32.dll       6.1.7601.23566     C:\Windows\system32
75850000 CFGMGR32.dll      6.1.7601.17514     C:\Windows\system32
75880000 KERNELBASE.dll    6.1.7601.23392     C:\Windows\system32
758e0000 GDI32.dll         6.1.7601.23688     C:\Windows\system32
75930000 SHLWAPI.dll       6.1.7601.17514     C:\Windows\system32
75990000 advapi32.dll      6.1.7601.23677     C:\Windows\system32
75a40000 NSI.dll           6.1.7600.16385     C:\Windows\system32
75a50000 SETUPAPI.dll      6.1.7601.17514     C:\Windows\system32
75ea0000 CLBCatQ.DLL       2001.12.8530.16385 C:\Windows\system32
75f30000 RPCRT4.dll        6.1.7601.23677     C:\Windows\system32
76140000 SHELL32.dll       6.1.7601.23537     C:\Windows\system32
76e00000 comdlg32.dll      6.1.7601.17514     C:\Windows\system32
76e80000 WS2_32.dll        6.1.7601.23451     C:\Windows\system32
76ec0000 LPK.dll           6.1.7601.23587     C:\Windows\system32
76ed0000 oleaut32.dll      6.1.7601.23569     C:\Windows\system32
771b0000 kernel32.dll      6.1.7601.23392     C:\Windows\system32
77290000 ole32.dll         6.1.7601.23392     C:\Windows\system32
773f0000 IMM32.DLL         6.1.7601.17514     C:\Windows\system32
77410000 USP10.dll         1.626.7601.23688   C:\Windows\system32
774b0000 msvcrt.dll        7.0.7601.17744     C:\Windows\system32
77560000 sechost.dll       6.1.7601.18869     C:\Windows\SYSTEM32
77580000 WLDAP32.dll       6.1.7601.17514     C:\Windows\system32
775d0000 user32.dll        6.1.7601.23594     C:\Windows\system32
776a0000 ntdll.dll         6.1.7601.23677     C:\Windows\SYSTEM32
777f0000 MSCTF.dll         6.1.7601.23572     C:\Windows\system32

processes:
0000 Idle                   0 0   0
0004 System                 0 0   0
00ec smss.exe               0 0   0
0168 csrss.exe              0 0   0
01b0 wininit.exe            0 0   0
01c4 csrss.exe              1 0   0
01ec services.exe           0 0   0
0210 lsass.exe              0 0   0
021c winlogon.exe           1 0   0
0224 lsm.exe                0 0   0
0298 svchost.exe            0 0   0
02d4 ASCService.exe         0 0   0
0308 TeraCopyService.exe    0 0   0
0330 ekrn.exe               0 0   0
036c svchost.exe            0 0   0
0398 atiesrxx.exe           0 0   0
0400 svchost.exe            0 0   0
043c svchost.exe            0 0   0
0470 svchost.exe            0 0   0
0490 svchost.exe            0 0   0
0554 svchost.exe            0 0   0
05ec WindowFXSRV.exe        0 0   0
05fc wfx32.exe              1 0   0
0630 svchost.exe            0 0   0
067c atieclxx.exe           1 0   0
0714 spoolsv.exe            0 0   0
073c svchost.exe            0 0   0
07ac taskhost.exe           1 143 61  normal       C:\Windows\system32
07fc Dwm.exe                1 24  3   normal       C:\Windows\system32
00d4 egui.exe               1 177 55  normal       C:\Program Files\ESET\ESET Smart Security
078c taskeng.exe            1 10  3   normal       C:\Windows\system32
03c4 Fuel.Service.exe       0 0   0
0804 svchost.exe            0 0   0
0858 svchost.exe            0 0   0
08c8 Core Temp.exe          1 66  73  below normal C:\Program Files\Core Temp
0930 svchost.exe            0 0   0
096c TeamViewer_Service.exe 0 0   0
0a4c RtHDVCpl.exe           1 74  24  normal       C:\Program Files\Realtek\Audio\HDA
0a6c 7+ Taskbar Tweaker.exe 1 22  76  normal       C:\Users\Peluche-Nerv\AppData\Roaming\7+ Taskbar Tweaker
0a88 MegaDownloader.exe     1 88  58  above normal C:\Program Files\MegaDownloader
0a98 Suo10_SmartRAM.exe     1 87  52  high         C:\Program Files\IObit\Advanced SystemCare
0ae0 ProcessHacker.exe      1 505 217 normal       C:\Program Files\Process Hacker 2
0ba4 MOM.exe                1 10  9   above normal C:\Program Files\AMD\ATI.ACE\Core-Static
0d34 CCC.exe                1 79  40  above normal C:\Program Files\AMD\ATI.ACE\Core-Static
0dec svchost.exe            0 0   0
0810 IEMonitor.exe          1 19  16  normal       C:\Program Files\Internet Download Manager
15ec UninstallMonitor.exe   1 126 47  normal       C:\Program Files\IObit\IObit Uninstaller
01e4 svchost.exe            0 0   0
1468 JDownloader2.exe       1 92  46  high         C:\Program Files\JDownloader v2.0
0de4 sidebar.exe            1 103 152 below normal C:\Program Files\Windows Sidebar
0458 audiodg.exe            0 0   0
14fc WmiPrvSE.exe           0 0   0
14e8 WmiPrvSE.exe           0 0   0
0f88 WmiPrvSE.exe           0 0   0
0770 explorer.exe           1 386 279 normal       C:\Windows
0ed8 ASCTray.exe            1 161 116 normal       C:\Program Files\IObit\Advanced SystemCare
08ec IDMan.exe              1 112 75  normal       C:\Program Files\Internet Download Manager
0684 firefox.exe            1 76  62  above normal E:\Games\Firefox Nightly
033c firefox.exe            1 12  9   above normal E:\Games\Firefox Nightly
1288 firefox.exe            1 12  20  above normal E:\Games\Firefox Nightly
08e4 FFNativeMessage.exe    1 38  22  normal       C:\Program Files\IObit\Advanced SystemCare\Surfing Protection
0468 firefox.exe            1 12  19  above normal E:\Games\Firefox Nightly
0874 explorer.exe           1 392 263 normal       C:\Windows
15f4 teracopy.exe           1 201 134 high         C:\Program Files\TeraCopy

hardware:
+ Computer
  - Equipo basado en ACPI x86
+ Disk drives
  - Hitachi HDS721010CLA SCSI Disk Device
  - ST2000DL 003-9VT166 SCSI Disk Device
+ Display adapters
  - AMD Radeon HD 5670 (driver 15.200.1062.1004)
+ Human Interface Devices
  - Dispositivo compatible con HID
  - Dispositivo de control del consumidor compatible con HID
  - Dispositivo de entrada USB
  - Dispositivo de entrada USB
  - Dispositivo de entrada USB
+ IDE ATA/ATAPI controllers
  - ATA Channel 0
  - ATA Channel 1
  - Controladora estándar PCI IDE de doble canal
+ Keyboards
  - Dispositivo de teclado HID
+ Mice and other pointing devices
  - Mouse compatible con HID
+ Monitors
  - SyncMaster 2043NW/2043NWX (driver 3.0.0.0)
+ Network adapters
  - Adaptador ISATAP de Microsoft
  - Minipuerto WAN (IP)
  - Minipuerto WAN (IPv6)
  - Minipuerto WAN (L2TP)
  - Minipuerto WAN (Monitor de red)
  - Minipuerto WAN (PPPOE)
  - Minipuerto WAN (PPTP)
  - Minipuerto WAN (SSTP)
  - NVIDIA nForce 10/100 Mbps Ethernet  (driver 73.3.5.0)
  - WAN Miniport (IKEv2)
+ Ports (COM & LPT)
  - Puerto de comunicaciones (COM1)
  - Puerto de impresora (LPT1)
+ Processors
  - AMD Athlon(tm) 64 X2 Dual Core Processor 5400+
  - AMD Athlon(tm) 64 X2 Dual Core Processor 5400+
+ Sound, video and game controllers
  - AMD High Definition Audio Device (driver 7.12.0.7723)
  - Realtek High Definition Audio (driver 6.0.1.8036)
+ Storage controllers
  - Controladora RAID VIA VT6421 (driver 6.0.6000.6210)
  - Controladora serie ATA NVIDIA nForce (driver 10.6.0.319)
+ Storage volume shadow copies
  - Instantánea de volumen genérico
+ System devices
  - Administrador de volúmenes
  - Altavoz del sistema
  - Archivar como controlador de volumen
  - ATK0110 ACPI UTILITY (driver 1043.5.0.0)
  - Botón de característica fija ACPI
  - Botón de encendido ACPI
  - Bus PCI
  - Configuración de AMD HyperTransport(tm)
  - Configuración de asignación de direcciones de AMD
  - Configuración de modo de seguimiento DRAM y HyperTransport(tm) de AMD
  - Configuración miscelánea de AMD
  - Controlador BIOS de Microsoft System Management
  - Controlador de enumerador de unidades virtuales de Microsoft
  - Controlador de mouse de Terminal Server
  - Controlador de teclado de Terminal Server
  - Controladora de acceso directo a memoria
  - Controladora de High Definition Audio
  - Controladora de High Definition Audio
  - Controladora PCI de RAM estándar
  - Controladora PCI de RAM estándar
  - Controladora programable de interrupciones
  - Cronómetro del sistema
  - Enumerador de bus compuesto
  - Enumerador de bus raíz de UMBus
  - Enumerador de dispositivos de software Plug and Play
  - Enumerador de UMBus
  - Interfaz lógica de puerto de impresora
  - NVIDIA nForce PCI System Management (driver 4.6.9.0)
  - Procesador de datos numéricos
  - Puente PCI estándar de PCI a PCI
  - Puente PCI estándar de PCI a PCI
  - Puente PCI estándar de PCI a PCI
  - Puente PCI estándar de PCI a PCI
  - Puente PCI ISA estándar
  - Recursos de la placa base
  - Recursos de la placa base
  - Recursos de la placa base
  - Recursos de la placa base
  - Remote Desktop Device Redirector Bus
  - Sistema CMOS/reloj en tiempo real
  - Sistema Microsoft compatible con ACPI
  - Tarjeta de sistema
  - Temporizador de eventos de alta precisión
+ Universal Serial Bus controllers
  - Concentrador raíz USB
  - Concentrador raíz USB
  - Controlador de host de PCI a USB mejorado
  - Controladora de host USB OpenHCD estándar
  - Dispositivo compuesto USB

stack dump:
0012f45c  db 10 59 00 de fa ed 0e - 01 00 00 00 07 00 00 00  ..Y.............
0012f46c  70 f4 12 00 db 10 59 00 - 20 86 2e 02 b8 38 28 02  p.....Y. ....8(.
0012f47c  05 00 00 00 d0 f7 12 00 - a8 f4 12 00 8c f4 12 00  ................
0012f48c  dc f4 12 00 d4 9b 40 00 - a8 f4 12 00 00 00 00 00  ......@.........
0012f49c  05 00 00 00 00 00 00 00 - 00 00 00 00 d4 f4 12 00  ................
0012f4ac  66 10 59 00 90 4e 65 00 - 0d 0f 59 00 ec 29 68 00  f.Y..Ne...Y..)h.
0012f4bc  00 00 00 00 17 00 00 00 - a7 4e 65 00 90 4e 65 00  .........Ne..Ne.
0012f4cc  ec 29 68 00 b8 38 28 02 - 60 f5 12 00 25 4a 65 00  .)h..8(.`...%Je.
0012f4dc  a0 f5 12 00 d4 9b 40 00 - 60 f5 12 00 00 00 00 00  ......@.`.......
0012f4ec  00 00 00 00 00 00 00 00 - 00 00 00 00 00 00 00 00  ................
0012f4fc  00 00 00 00 00 00 00 00 - 00 00 00 00 00 00 00 00  ................
0012f50c  00 00 00 00 00 00 00 00 - 00 00 00 00 00 00 00 00  ................
0012f51c  00 00 00 00 00 00 00 00 - 00 00 00 00 00 00 00 00  ................
0012f52c  00 00 00 00 00 00 00 00 - 00 00 00 00 00 00 00 00  ................
0012f53c  00 00 00 00 00 00 00 00 - 00 00 00 00 00 00 00 00  ................
0012f54c  00 00 00 00 00 00 00 00 - 00 00 00 00 00 00 00 00  ................
0012f55c  50 1b 29 02 78 f5 12 00 - 77 49 65 00 01 00 00 00  P.).x...wIe.....
0012f56c  00 00 00 00 d7 51 67 01 - 50 1b 29 02 84 f5 12 00  .....Qg.P.).....
0012f57c  7d 38 65 00 50 1b 29 02 - 98 f5 12 00 64 96 67 00  }8e.P.).....d.g.
0012f58c  00 00 00 00 00 00 00 00 - 10 c5 26 02 c0 f5 12 00  ..........&.....

disassembling:
[...]
00654a07        mov     edx, [edx+$84]
00654a0d        call    -$c39ca ($591048)      ; DISQLite3Api.sqlite3_check
00654a12 0975   mov     eax, [ebp-4]
00654a15        mov     eax, [eax+$84]
00654a1b        mov     edx, $654e90           ; 'PRAGMA synchronous=OFF;'
00654a20      > call    -$c3b65 ($590ec0)      ; DISQLite3Api.sqlite3_exec_fast
00654a25 0976   mov     eax, [ebp-4]
00654a28        mov     eax, [eax+$84]
00654a2e        mov     edx, $654eb4           ; 'PRAGMA journal_mode=WAL;'
00654a33        call    -$c3b78 ($590ec0)      ; DISQLite3Api.sqlite3_exec_fast
00654a38 0980   mov     eax, [ebp-4]
[...]

bugreport.txt (20,518 bytes)

Greg1956

2017-05-10 08:19

reporter   ~0000109

I concur, Updated from 2.27 to 3.08 on Windows 10 32bit.
Everytime I drag and drop a file whilst in Windows explorer I get an SQL Insert Error, and it then asks me to restart the application.
It may ask 2 more times before it is opens to copy, then proceeds after agreeing to overwrite the file (which it has not copied)
The window then shows the other copies sitting paused for copying.

Have rolled back to 2.27, all good

I am not running either version in any compatibility modes just straight Win 10

peluche-nerv

2017-05-10 17:14

reporter   ~0000110

"It may ask 2 more times before it is opens to copy" exactly, that happens a LOT -_-.

CodeSector

2017-05-21 10:29

administrator   ~0000116

Please test this version: https://s3.amazonaws.com/codesector-us/teracopy3.12.exe

Issue History

Date Modified Username Field Change
2017-03-30 05:04 RascomIT New Issue
2017-03-31 05:36 peluche-nerv Note Added: 0000084
2017-03-31 05:45 peluche-nerv File Added: bugreport.txt
2017-03-31 05:45 peluche-nerv Note Added: 0000085
2017-05-10 08:19 Greg1956 Note Added: 0000109
2017-05-10 17:14 peluche-nerv Note Added: 0000110
2017-05-19 07:15 CodeSector Status new => resolved
2017-05-19 07:15 CodeSector Resolution open => fixed
2017-05-19 07:15 CodeSector Product Version 3.0.8 => 3.12
2017-05-19 07:15 CodeSector Fixed in Version => 3.12
2017-05-19 07:15 CodeSector Target Version => 3.12
2017-05-19 07:15 CodeSector OS Version 64 bit => 64 bit
2017-05-21 10:29 CodeSector Note Added: 0000116